UCMDB and UD Practitioners Forum (Previously CMS)
cancel
Showing results for 
Search instead for 
Did you mean: 

uCMDB Deployment Requirements - Is Jboss/JRE needed?

SOLVED
Go to solution
Highlighted
Łukasz Toczyski
Occasional Contributor

uCMDB Deployment Requirements - Is Jboss/JRE needed?

In uCMDB 7.0 Deployment guide in Requirements section there is requirement:

"Java Runtime Environment - JRE 1.5.0 – installed with the JBoss application server (J2F)"

Does it mean that I need to install JRE and JBOSS by myself?

Isn't it included in installation? UCMDB Server folder (C:\hp\uCMDB\UCMDBSERVER\j2f) includes Java and Application Server Folders.

Should I start Jboss server while installing uCMDB application?

What version of Jboss do I need?

 

P.S. This thread has been moved from Application Perf Mgmt (BAC / BSM) Support and News Forum to CMS and Discovery Support and News Forum. -HP Forum Moderator

3 REPLIES
Dmitry Shevchen
HPE Expert
Solution

Re: uCMDB Deployment Requirements - Is Jboss/JRE needed?

You don't need to install JRE/JBoss in advance. uCMDB installation will take care of that and install everything it needs to start uCMDB.
Łukasz Toczyski
Occasional Contributor

Re: uCMDB Deployment Requirements - Is Jboss/JRE needed?

Thanks

Re: uCMDB Deployment Requirements - Is Jboss/JRE needed?

Hi Lukasz,

Sorry replying to this thread, but can I ask why you are installing uCMDB 7.0 when 8.0 (+ patch 4) is the latest version?

There is lots of improvements between 7.0 and 8.0 which include usability (way better!!!) and discovery bug fixes (you'll save much more time by having the latest version).

Anyway, another comment, indeed you don't need JRE to install uCMDB, but you'll need the JDK installed on the client machine to use the UI.

Regards,
Olivier Lauret
//Add this to "OnDomLoad" event